Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
OpenAI 스타일 통합을 위한 추론 모델 예입니다.
{ "model": "o4-mini", "input": "Compare three cache architectures and recommend one.", "reasoning": { "effort": "medium" }, "max_output_tokens": 1200 }
curl https://maas.apigo.ai/v1/responses \ -H "Authorization: Bearer $YOUR API KEY" \ -H "Content-Type: application/json" \ -d '{ "model": "o4-mini", "input": "Compare three cache architectures and recommend one.", "reasoning": { "effort": "medium" }, "max_output_tokens": 1200 }'
from openai import OpenAI client = OpenAI( base_url="https://maas.apigo.ai/v1", api_key="<YOUR API KEY>", ) response = client.responses.create( model="o4-mini", input="Compare three cache architectures and recommend one.", reasoning={"effort": "medium"}, max_output_tokens=1200, ) print(response.output_text)
import OpenAI from "openai"; const client = new OpenAI({ baseURL: "https://maas.apigo.ai/v1", apiKey: process.env.YOUR API KEY, }); const response = await client.responses.create({ model: "o4-mini", input: "Compare three cache architectures and recommend one.", reasoning: { effort: "medium" }, max_output_tokens: 1200, }); console.log(response.output_text);
reasoning.effort